# Insert approver Endpoint: POST /enrichment/approvers Version: 2.51.0 Security: OAuth2 ## Request fields (application/json): - `externalId` (string, required) External id of the approver that is globally unique across the provided approver data Example: "UserID#1234" - `externalClientId` (string) Identifier of the client entity in the source system which can be used to separate data Example: "EXTERNAL_CLIENT_ID" - `code` (string) Code of the approver in the source system (not unique across clients) Example: "CODE1" - `companyAssignment` (array) List of externalCompanyIds that the approver is assigned to Example: ["DE01","US01"] - `isActive` (boolean) Example: true - `firstName` (string) First name of the approving person Example: "Koala" - `lastName` (string) Last name of the approving person Example: "Hinze" - `email` (string) Email address of the approving person Example: "accountant@sap.com" - `phoneNumber` (string) Phone number of the approving person Example: "+491001234567891" - `customFields` (object) List of key value pairs containing custom fields from the source system - `customMetadata` (object) Any nested structure with metadata that source system needs to send Example: {"someTopLevelProperty":"value1","someNestedProperty":{"nestedProperty":"value2"},"someArrayProperty":["value3","value4"]} ## Response 200 fields (application/json): - `id` (string, required) Example: "3a429dc8-56d4-42ef-a4cf-2ebc9ad1ef38" ## Response 422 fields (application/json): - `detail` (array) - `detail.loc` (array, required) - `detail.msg` (string, required) - `detail.type` (string, required) ## Response 429 fields